/*/////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN                                                       //
//                                                                                //
//  FILE: CDQUOTE.DCL    contiene definizioni di dialog per la quotatura del      //
//                       tracciato                                                //
//                                                                                //
//  HighC Metaware Ver. 1.71                                                      //
//                                                                                //
//  Scritto da: Stefania Martinelli                                               //
//                                                                                //
//  RELEASE: 1.61     DATA: luglio 1993  AGGIORNAMENTO:  luglio 1993              //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1993                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* --------------------------------- QuotTR ------------------------------ */
/* dialog per la gestione della quotatura del tracciato                    */
QuotTR : dialog
	 {
	  label = "Quotatura Tracciato"; fixed_height = true;
	  tracciato;        /* input del nome del tracciato*/
	  : row
	    {
	      stile_quot;       /* input stile quotature */
	      stile_quot_testi; /* stile quote e testi */
	    }
	  errtile;
	  ok_cancel_help;
	  } /*end dialog*/

/* ---------------------------- (QuotTR) tracciato ----------------------- */
tracciato : boxed_row
	       {
		label = "Nome Tracciato";
		: row
		  {
		   fixed_width = true;
		   : text
		     {
		      label = "Nome del tracciato: "; fixed_width = true;
		     }
		      : text
			{
			 key = "ricerca"; width = 20;
			}
		      : spacer { width = 2; }
/*##FG 27/02/2014                  : popup_list
		       {
			key = "listatr"; edit_width = 25;
		       }

		      : button
			{
			 key = "trsel"; label = "Seleziona <";
			 fixed_width = true;
			}*/


		     } /*row*/
		   } /* boxed_row */
/* ------------------------------ (QuotTR) stile_quot -------------------- */
stile_quot : boxed_row
	{
		label = "Stile quotature tracciato"; fixed_width = true;
		: row
		{
			: list_box
			{
				key = "stile_quot_tr";
				width = 33;//16
			}
			: column
			{
				fixed_height = true;
				: row
				{
					fixed_width = true;
					: text
					{
						label = "Layer "; fixed_width = true;
					}
					: text
					{
						key = "trpiano_quote"; width = 25;
						fixed_width = true;
					}
				} /* row*/
				: spacer { height = 1; }
				: row
				{
					fixed_width = true; alignment = right;
					: button
					{
						key = "selpiano"; label = "Seleziona..."; width = 33;
						fixed_width = true;
					}
				} /*row*/
				: row
				{
					: text
					{
						label = "Stile "; fixed_width = true;
					}
					: edit_box
					{
						key = "trstilen"; width = 33;//16
						fixed_width = true; edit_limit = 32;//15
					}
				} /*row*/
				: row
				{
					fixed_width = true; alignment = right;
					: button
					{
						key = "trnuovo"; label = "    Nuovo    "; width = 33;
						fixed_width = true;
					}
				} /*row*/
				: spacer { height = 1; }
				: boxed_row
				{
					label = "Elementi da quotare"; fixed_height = true;
					: column
					{
						: row
						{
							: text
							{
								label = "Poligonale"; fixed_width = true;
							}
							: button
							{
								label = "Imposta..."; fixed_width = true;
								key = "imp_ver";
							}
						} /*row*/
						: row
						{
							: text
							{
								label = "Tracciato "; fixed_width = true;
							}
							: button
							{
								key = "imp_curve";
								label = "Imposta..."; fixed_width = true;
							}
						} /*row*/
					} /*column*/
				} /*boxed_row*/

		   } /*column*/
		 } /* row*/
	} /* boxed_column */
/* ------------------------------ (QuotTR) stile_quot_testi ------------- */
stile_quot_testi : boxed_row
		   {
		    label = "Stile quote e testi";
		    : row
		      {
		       : list_box
			 {
			   key = "stile_quot_txt";
			   width = 16;
			 }
		       : column
			 {
			  fixed_height = true;
			  : row
			    {
			     : text
			       {
				 label = "Altezza testi tabelle  [u.d.]"; fixed_width = true;
			       }
			     : edit_box
			       {
				 key = "trhtestab"; edit_width = 6;
				 fixed_width = true;
			       }
			    } /*row*/
			   : row
			     {
			      : text
				{
				 label = "Altezza simboli punto [u.d.]"; fixed_width = true;
				}
			     : edit_box
			       {
				 key = "trhsim"; edit_width = 6;
				 fixed_width = true;
			       }
			     } /*row*/
			    : row
			      {
			       : text
				{
				 label = "Altezza testi su tracc. [u.d.]"; fixed_width = true;
				}
			     : edit_box
			       {
				 key = "trhtxt"; edit_width = 6;
				 fixed_width = true;
			       }
			     } /*row*/
			    : row
			      {
			       : text
				 {
				  label = "Decimali in tabelle "; 
				  fixed_width = true;
				 }
			       : edit_box
				 {
				  key = "dectabv"; edit_width = 6;
				  fixed_width = true;
				 }
			      } /* row */
			    : row
			      {
			       : text
				 {
				  label = "Formato progressive      ";
				  fixed_width = true;
				 }
			        : popup_list
				 {
				  key = "tipprog";width = 18;
				 }
			      } /* row */

			    : button
				{
					key = "impunits"; label = "Formato Angoli";
				}
				: row
			    {
					: toggle
					{
						key = "tab_solid";   label = "Riempimento tabelle";
					}
				}
			    /*: spacer { height = 2; }*/
			    : boxed_column
			    {
					label = "Posizione delle Tabelle";
					: toggle
					{
						key = "tab_allineate";   label = "Affiancate al Tracciato";
					}
					: toggle
					{
						key = "tab_in_punto";   label = "In Punto Selezionato";
					}
				}
			    : row
			     {
			      : text
				{
				 label = "Stile quote"; fixed_width = true;
				}
			      : button
				{
				 key = "new_stileqt"; label = "Nuovo...";
				 fixed_width = true;
				}
			     } /*row*/
			 } /*column*/
		      } /*row*/
		   } /*boxed_row*/

/* ----------------------------- PolAsse ---------------------------------*/
/* dialog input dati per la poligonale d'asse. Richaiamate dalla QuotTR   */
PolAsse : dialog
	  {
	   label = "Quotatura poligonale d'asse";
	   vertici;
	   : row
	     {
	      tangenti;
	      pt_tg_racc;
	     } /*row*/
	   quota;
	  ok_cancel;
	  } /*end dialog*/

/* -------------------------- (PolAsse)vertici --------------------------- */
vertici : boxed_column
	  {
	   label = "Vertici";
	   : toggle
	     {
	      key = "tr_qv"; label = "Quota vertici";
	     }
	   : row
	     {
	      : column
		{
		 : row
		   {
		    fixed_width = true;
		    : button
		      {
		       label = "Simbolo..."; key = "simb_pnt";
		       fixed_width = true; width = 14;
		      }
		    : spacer {width = 1; }
		    : image
		      {
		       fixed_height = true; fixed_width = true;
		       width = 5; height = 2; key = "simb_sel";
		      }
		    : spacer {width = 1; }
		    : text
		      {
		       key = "nome_simb_sel"; fixed_widyh = true; width = 2;
		      }
		    } /*row*/
		 : row
		   {
		    fixed_width = true;
		     : text
		       {
			label = "Prefisso"; fixed_width = true;
                        key = "prefisso"; width = 16;
		       }
		    : edit_box
		      {
		       key = "tr_prev"; width = 5; fixed_width = true;
		       edit_limit = 10;
		      }
		   } /* row*/
		 : row
		   {
		    fixed_width = true;
		     : text
		       {
			label = "Num. iniziale"; fixed_width = true;
                        key = "num_iniziale"; width = 16;
		       }
		    : edit_box
		      {
		       key = "tr_ninv"; width = 5; fixed_width = true;
		      }
		   } /* row*/
		} /*column*/
		: column
		  {
		   : toggle
		     {
		      key = "tr_primop"; label = "Primo punto tracciato ";
		     }
		   : toggle
		     {
		      key = "tr_ultp";   label = "Ultimo punto tracciato";
		     }
		   : toggle
		     {
		      key = "tr_tabv";   label = "Coordinate in tabella ";
		     }
		  } /*column*/
	     } /*row*/
	  } /* boxed_column*/
/* -------------------------- (PolAsse)tangenti -------------------------- */
tangenti : boxed_column
	   {
	    label = "Tangenti"; fixed_width = true;
	    : toggle
	      {
	       key = "tr_tgv"; label = "Disegna tangenti"; width = 18;
	      }
	    : row
	      {
	       : text
		 {
		  label =  "Tipo linea   "; fixed_width = true;
		  key = "tipolinea";
		 }
		: text
		  {
		   key = "tr_tltv"; width = 25; fixed_width = true;
		  }
	       : button
		 {
		  key = "sel_tltv"; label = "Seleziona..."; fixed_width = true;
		 }
	      } /*row*/
	     : row
	       {
		fixed_width = true;
		: text
		  {
		   label = "Estensione m."; fixed_width = true;
		   key = "estm";
		  }
		: edit_box
		  {
		   key = "tr_esttv"; width = 5; fixed_width = true;
		  }
	       } /*row*/
	   } /*boxed_column*/
/* -------------------------- (PolAsse)pt_tg_racc ------------------------ */
pt_tg_racc : boxed_column
	     {
	      label = "Punti di tangenza e raccordo"; fixed_width = true;
	      : toggle
		{
		 key = "tr_puntr"; label = "Punti di tangenza e raccordo";
		}
		 : row
		   {
		    fixed_width = true;
		    : button
		      {
		       label = "Simbolo..."; key = "simb_pnt_tr";
		       fixed_width = true;
		      }
		    : spacer {width = 1; }
		    : image
		      {
		       fixed_height = true; fixed_width = true;
		       width = 5; height = 2; key = "simb_sel_tr";
		      }
		    : spacer {width = 1; }
		    : text
		      {
		       key = "nome_simb_sel_tr"; fixed_widyh = true; width = 2;
		      }
		    } /*row*/
	       : toggle
		 {
		  key = "tr_qpr"; label = "Riporta progressiva";
		 }
	       : row
		 {
		  fixed_width = true; alignment = right;
		  : text
		    {
		     label = "Progressiva iniziale"; fixed_width = true;
		     key = "prog_iniz";
		    }
		  : edit_box
		    {
		     key = "tr_progi"; width = 5; fixed_width = true;
		    }
		 } /*row*/
	     } /*boxed_column*/
/* -------------------------- (PolAsse)quota  ---------------------------- */
quota : boxed_row
	{
	 label = "Quota";
	 : column
	   {
	    : toggle
	      {
	       key = "tr_qav"; label = "Angolo al vertice";
	      }
	    : row
	      {
	       fixed_width = true;
	       : text
		 {
		  label = "Scostamento"; fixed_width = true;
		  key = "sco_qav";
		 }
	       : edit_box
		 {
		  key = "tr_scoav"; edit_width = 5;
		 }
	       } /*row*/
	     } /*column*/
	    : column
	      {
	       : row
		 {
		  : toggle
		    {
		     key = "tr_qtg"; label = "Tangenti";
		    }
		  : toggle
		    {
		     key = "tr_qre"; label = "Rettifili";
		    }
		  } /*row*/
		: row
		  {
		   fixed_width = true;
		   : text
		     {
		      label = "Scostamento"; fixed_width = true;
		      key = "sco_re";
		     }
		    : edit_box
		      {
		       key = "tr_score"; edit_width = 5; fixed_width = true;
		      }
		    } /*row*/
		  } /*column*/
		: column
		  {
		   : toggle
		     {
		       key = "tr_qdistv"; label = "Distanze fra vertici";
		     }
		   : row
		     {
		      fixed_width = true;
		      : text
			{
			 label = "Scostamento"; fixed_width = true;
			 key = "sco_d_v";
			}
		       : edit_box
			{
			 key = "tr_scodistv"; edit_width = 5;
			 fixed_width = true;
			}
		      } /*row*/
	       } /*column*/
	} /*boxed_row*/
/* ----------------------------- TraccDlg ---------------------------------*/
/* dialog per la gestione dell'input del tracciato                         */
TraccDlg : dialog
	   {
	    label = "Quotatura elementi del tracciato";
	    : row
	      {
	       : column
		 {
		  /*: toggle
		    {
		     key = "tr_cur"; label = "Quota curve";
		    }*/
		  : column
		    {
		     fixed_height = true;
		  : button
		    {
		     key = "imp_tr"; label = "Impostazione...";
		     width = 18;
		    }
		  : button
		    {
		     key = "sn_tr"; label =  "   Si / No    ";
		     width = 18;
		    }
		    } /*column*/
		 } /*column*/
	       : list_box
		 {
		  key = "list_nometr";
		  tabs = "24";
		  width = 28; multiple_select = true;
		  height = 8; //+1 per Intero tracciato
		 }
	      } /*row*/
	  ok_cancel;
	   } /*end dialog*/

/* --------------------------------- Clotoide ----------------------------- */
Clotoide : dialog
	   {
	    key = "clo_par";
	    ym;
	    tan_clo;
	    quote_clo;
	    ok_cancel;
	   } /*dialog*/

/* ---------------------------- (Clotoide)ym ----------------------------- */
ym : boxed_column
     {
      label = "Ym";
      : row
	{
	 : toggle
	   {
	     key = "c6_disqy"; label = "Disegna ym"; width = 18;
	   }
	 : column
	   {
	    : row
	      {
	       : toggle
		 {
		  key = "c6_qy"; label = "Quota ym"; width = 24;
		 }
	       : text
		 {
		  label = "Scostamento"; width = 12;
		  key = "sco_qy";
		 }
	       : edit_box
		 {
		  key = "c6_sco_qy"; edit_width = 5;
		 }
	       } /*row*/
	     : row
	       {
		: toggle
		  {
		   key = "c6_qa"; label = "Quota angolo finale"; width = 24;
		  }
		: text
		  {
		   label = "Scostamento"; width = 12;
		   key = "sco_qa";
		  }
		: edit_box
		  {
		   key = "c6_sco_qa"; edit_width = 5;
		  }
	     } /*row*/
	    } /*column*/
	} /*row*/
      : column
	{
	 : row
	   {
	    fixed_width = true;
	    : text
	      {
	       label = "Tipo linea "; fixed_width = true; width = 20;
	       key = "text_tly";
	      }
	    : text
	      {
	       key = "c6_tly";width = 20; fixed_width = true;
	      }
	    : button
	      {
	       key = "sel_c6tly"; label = "Seleziona..."; fixed_width = true;
	      }
	   } /*row*/
	 : row
	   {
	    fixed_width = true;
	    : toggle
	      {
	       label = "Distanza troncamento m."; key = "text_dtroy";
	       width = 26;
	      }
	    : edit_box
	      {
	       key = "c6_dtroy"; fixed_width = true;
	      }
	   } /*row*/
	} /*column*/
     } /*boxed_row*/
/* ---------------------------- (Clotoide)tan_clo ------------------------ */
tan_clo : boxed_column
     {
      label = "Tangenti";
      : row
	{
	 : toggle
	   {
	     key = "c6_dtang"; label = "Disegna tangenti"; width = 18;
	   }
	 : column
	   {
	    : row
	      {
	       : toggle
		 {
                  key = "c6_qtang"; label = "Quota tangenti"; width = 28;
		 }
	       : text
		 {
		  label = "Scostamento"; width = 12;
		  key = "sco_qtang";
		 }
	       : edit_box
		 {
		  key = "c6_sco_qtang"; edit_width = 5;
		 }
	       } /*row*/
	     : row
	       {
		: toggle
		  {
		   key = "c6_qat"; label = "Quota angolo al vertice"; 
                   width = 28;
		  }
		: text
		  {
		   label = "Scostamento"; width = 12;
		   key = "sco_qat";
		  }
		: edit_box
		  {
		   key = "c6_sco_qat"; edit_width = 5;
		  }
	       } /*row*/
	    } /*column*/
	} /*row*/
      : column
	{
	 : row
	   {
	    fixed_width = true;
	    : text
	      {
	       label = "Tipo linea"; fixed_width = true; width = 20;
	       key = "text_tltang";
	      }
	    : text
	      {
	       key = "c6_tltang";width = 20; fixed_width = true;
	      }
	    : button
	      {
	       key = "sel_c6tltang"; label = "Seleziona..."; fixed_width = true;
	      }
	   } /*row*/
	 : row
	   {
	    fixed_width = true;
	    : text
	      {
	       label = "Estensione m."; fixed_width = true; width = 26;
	       key = "text_estt";
	      }
	    : edit_box
	      {
	       key = "c6_estt"; fixed_width = true;
	      }
	   } /*row*/
	} /*column*/
     } /*boxed_row*/

/* ---------------------------- (Clotoide)quote_clo ---------------------- */
quote_clo : boxed_column
	    {
	     label = "Opzioni di quotatura";
	     : row
	       {
		: toggle
		  {
		   key = "c6_q"; label =   "Quotatura su tracciato";
		  }
		: button
		  {
		   key = "imp_c6q"; label = "Imposta..."; fixed_width = true;
		   alignment = right;
		  }
	       } /*row*/
	     : row
	       {
		: toggle
		  {
		   key = "c6_tab"; label = "Quotatura in tabelle";
		  }
		: button
		  {
		   key = "imp_c6tab"; label = "Imposta..."; fixed_width = true;
		   alignment = right;
		  }
	       } /*row*/
	    } /*boxed_column*/
/* -------------------------- Elem_clot_1 -------------------------------- */
Elem_clot_1 : dialog
	      {
	       label = "Quota su disegno";
	       : row
		 {
		  : text
		    {
		     label = "   Elemento"; fixed_width = true;
		    }
		  : text
		    {
		     label = "Dicitura"; fixed_width = true;
		    }
		 } /* row */
		 : row
		   {
		    : toggle
		      {
			key = "c6_qn"; label = "Parametro N  ";
		      }
		     : edit_box
		       {
			key = "c6_qnt"; fixed_width = true; edit_limit = 10;
		       }
		    } /* row*/
		  : row
		    {
		     : toggle
		       {
			key = "c6_qa"; label = "Parametro A  ";
		       }
		       : edit_box
			 {
			  key = "c6_qat"; fixed_width = true; edit_limit = 10;
			 }
		    } /*row*/
		   : row
		     {
		     : toggle
		       {
			key = "c6_ql"; label = "Lunghezza    ";
		       }
		       : edit_box
			 {
			  key = "c6_qlt"; fixed_width = true; edit_limit = 10;
			 }
		     } /*row*/
		    : row
		      {
		     : toggle
		       {
			key = "c6_qaf"; label = "Angolo finale";
		       }
		       : edit_box
			 {
			  key = "c6_qaft"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		     : row
		       {
			: toggle
			 {
			  key = "c6_qs"; label = "Scostamento  ";
			 }
		       : edit_box
			 {
			  key = "c6_qst"; fixed_width = true;
			  edit_limit = 10;
			 }
		       } /*row*/
		ok_cancel;
	   } /* end dialog*/
/* -------------------------- Elem_clot_2 -------------------------------- */
Elem_clot_2 : dialog
	      {
	       label = "Quota su tabella";
	       : row
		 {
		  : text
		    {
		     label = "   Elemento"; fixed_width = true;
		    }
		  : text
		    {
		     label = "  Dicitura"; fixed_width = true;
		    }
		  : text
		    {
		     label = " Elemento"; fixed_width = true;
		    }
		  : text
		    {
		     label = " Dicitura"; fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : toggle
		    {
		     key = "c6_tn"; label = "Parametro N"; 
                     width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_tnt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
                     key = "c6_tx"; label = "xfinale"; 
                     width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
                     key = "c6_ta"; label = "Parametro A"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_tat"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
                     key = "c6_ty"; label = "yfinale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_tyt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
                     key = "c6_tl"; label = "Lunghezza"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_tlt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
                     key = "c6_txm"; label = "xm"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_txmt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
                     key = "c6_taf"; label = "Angolo finale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_taft"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
                     key = "c6_tr"; label = "Raggio finale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_trt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
                     key = "c6_ts"; label = "Scostamento"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_tst"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
                     key = "c6_tf"; label = "F"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_tft"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
                     key = "c6_ttl"; label = "Tangente lunga"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_ttlt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
                     key = "c6_tt"; label = "T"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_ttt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
                     key = "c6_ttc"; label = "Tangente corta"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_ttct"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
                     key = "c6_tc"; label = "Corda"; width = 20;
		    }
		  : edit_box
		    {
		     key = "c6_tct"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	  : boxed_row
	    {
	     label = ""; fixed_width = true; alignment = centered;
	     : toggle
	       {
		key = "c6_rif"; label = "Riferimento al vertice";
	       }
	    } /*boxed_row*/
	  errtile;
	  ok_cancel;
	   } /* end dialog*/
/* ------------------------------- Arco -----------------------------------*/
Arco : dialog
       {
	label = "Arco";
	: row
	  {
	   Qt_arco;
	   : boxed_row
	     {
	      label = ""; fixed_height = true;
		: column
		{		
		      : toggle
			{
			 key = "c_tab"; label = "Quota in tabella";
			}
		      : toggle
			{
			 key = "c_dis"; label = "Quota su disegno";
			}
		}/*column*/
		: column
		{		
		      : button
			{
			 key = "imp_ctab"; label = "Imposta..."; fixed_width = true;
			 alignment = right;
			}
		      : button
			{
			 key = "imp_cdis"; label = "Imposta..."; fixed_width = true;
			 alignment = right;
			}
		}
	      } /*boxed_column*/
	   } /*row*/
	rag_arco;
	tan_clo;
	ok_cancel;
       } /*end dialog*/
/* ------------------------------- (Arco)Qt_arco --------------------------*/
Qt_arco : boxed_row
	  {
	   label = "Centro";
	   : column
	     {
	      : toggle
		{
		 key = "c_qc"; label = "Quota centro";
		}
		 : row
		   {
		    fixed_width = true;
		    : button
		      {
		       label = "Simbolo..."; key = "simb_pnt_arco";
		       fixed_width = true;
		      }
		    : spacer {width = 1; }
		    : image_button
		      {
		       fixed_height = true; fixed_width = true;
		       width = 5; height = 2; key = "c_simc_image";
		      }
		    : spacer {width = 1; }
		    : text
		      {
		       key = "c_simc"; fixed_widyh = true; width = 2;
		      }
		    } /*row*/
	     } /*column*/
	   : spacer { width = 2; }
	   : column
	     {
	      : toggle
		{
		 key = "c_tabc"; label = "Tabella coordinate";
		}
	      : row
		{
		 : text
		   {
		    label = "Prefisso     "; fixed_width = true;
		    key = "text_cprec";
		   }
		 : edit_box
		   {
		    key = "c_prec"; fixed_width = true;
		    edit_limit = 10;
		   }
		} /*row*/
	      : row
		{
		 : text
		   {
		    label = "Num. iniziale"; fixed_width = true;
		    key = "text_cninc";
		   }
		 : edit_box
		   {
		    key = "c_ninc"; fixed_width = true;
		   }
		} /*row*/
	     } /*column*/
	  } /*boxed_row*/
/* ---------------------------- (Arco)rag_arco ------------------------ */
rag_arco : boxed_column
     {
      label = "Raggio";
      : row
	{
	 : toggle
	   {
	     key = "c_drag"; label = "Disegna raggi"; width = 18;
	   }
	 : column
	   {
	    : row
	      {
	       : toggle
		 {
                  key = "c_qrag"; label = "Quota raggi"; width = 28;
		 }
	       : text
		 {
		  label = "Scostamento"; width = 12;
		  key = "sco_qrag";
		 }
	       : edit_box
		 {
		  key = "c_sco_qrag"; edit_width = 5;
		 }
	      } /*row*/
	    : row
	      {
	       : toggle
		 {
                  key = "c6_qac"; label = "Quota angolo al centro";
                  width = 28;
		 }
	       : text
		 {
		  label = "Scostamento"; fixed_width = true; width = 12;
		  key = "sco_qac";
		 }
	       : edit_box
		 {
		  key = "c6_sco_qac"; edit_width = 5;
		 }
	      } /*row*/
	    } /*column*/
	} /*row*/
      : column
	{
	 : row
	   {
	    fixed_width = true;
	    : text
	      {
	       label = "Tipo linea"; width = 20;
	       key = "text_c6tlrag";
	      }
	    : text
	      {
	       key = "c6_tlrag";width = 20; fixed_width = true;
	      }
	    : button
	      {
	       key = "sel_c6tlrag"; label = "Seleziona..."; fixed_width = true;
	      }
	   } /*row*/
	 : row
	   {
	    fixed_width = true;
	    : toggle
	      {
	       label = "Distanza troncamento m."; key = "text_c6tror";
	      }
	    : edit_box
	      {
	       key = "c6_tror"; fixed_width = true;
	      }
	   } /*row*/
	} /*column*/
     } /*boxed_row*/
/* ----------------------------- Tab_arco ---------------------------------*/
Tab_arco : dialog
	   {
	    label = "Tabella Arco";
	    : row
	      {
	       elem_tab1_arco;
	       : spacer { width = 3; }
	       elem_tab2_arco;
	      } /*row*/
	    errtile;
	    ok_cancel;
	   } /*end dialog*/
/* ----------------------------- Dis_arco ---------------------------------*/
dis_arco : dialog
	   {
	    label = "Elementi quotatura Arco su disegno";
		: column
		   {
		    : row
		      {
		       : text
			 {
			  label = "   Elemento"; fixed_width = true;
			 }
		       : text
			 {
			  label = " Dicitura"; fixed_width = true;
			 }
		       } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "cd_r"; label =  "Raggio          ";
			 }
		       : edit_box
			 {
			  key = "cd_rt"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "cd_ac"; label = "Angolo al centro";
			 }
		       : edit_box
			 {
			  key = "cd_act"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "cd_t"; label = "Tangente        ";
			 }
		       : edit_box
			 {
			  key = "cd_tt"; fixed_width = true; edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "cd_s"; label = "Sviluppo        ";
			 }
		       : edit_box
			 {
			  key = "cd_st"; fixed_width = true; edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "cd_f"; label = "Freccia         ";
			 }
		       : edit_box
			 {
			  key = "cd_ft"; fixed_width = true; edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "cd_corda"; label = "Corda           ";
			 }
		       : edit_box
			 {
			  key = "cd_cordat"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		 } /*column*/
	    errtile;
	    ok_cancel;
	   } /*end dialog*/
/* ------------------------- elem_tab_arco --------------------------------*/
elem_tab1_arco : column
		   {
		    : row
		      {
		       : text
			 {
			  label = "   Elemento"; fixed_width = true;
			 }
		       : text
			 {
			  label = " Dicitura"; fixed_width = true;
			 }
		       } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_r"; label =  "Raggio          ";
			 }
		       : edit_box
			 {
			  key = "c_rt"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_ac"; label = "Angolo al centro";
			 }
		       : edit_box
			 {
			  key = "c_act"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_t"; label = "Tangente        ";
			 }
		       : edit_box
			 {
			  key = "c_tt"; fixed_width = true; edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_s"; label = "Sviluppo        ";
			 }
		       : edit_box
			 {
			  key = "c_st"; fixed_width = true; edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_f"; label = "Freccia         ";
			 }
		       : edit_box
			 {
			  key = "c_ft"; fixed_width = true; edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_corda"; label = "Corda           ";
			 }
		       : edit_box
			 {
			  key = "c_cordat"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_H"; label = "Sopraelevazione ";
			 }
		       : edit_box
			 {
			  key = "c_Ht"; fixed_width = true;
			  edit_limit = 10;
			 }
			}
		     : row
		      {
		       : toggle
			 {
			  key = "c_V1"; label = "Velocit        ";
			 }
		       : edit_box
			 {
			  key = "c_V1t"; fixed_width = true;
			  edit_limit = 10;
			 }

		      } /*row*/
		     : row
		      {
		       : toggle
			 {
			  key = "c_f20m"; label = "Freccia su 20m  ";
			 }
		       : edit_box
			 {
			  key = "c_f20mt"; fixed_width = true;
			  edit_limit = 10;
			 }

		      } /*row*/


		 } /*column*/
/* ---------------------------- elem_tab2_arco --------------------------- */
elem_tab2_arco : radio_column
		  {
		   fixed_height = true;
		   key = "rif_arco";
		   : radio_button
		     {
		      label = "Riferimento al vertice"; key = "c_rifv";
		     }
		    : radio_button
		      {
		       label = "Riferimento al centro"; key = "c_rifc";
		      }
		    : radio_button
		      {
		       label = "Nessuno"; key = "c_rifn";
		      }
		   } /*radio column */
/* --------------------------- SimbPnt ----------------------------------- */
SimbPnt : dialog
	  {
	   label = "Simboli";
	   : row
	     {
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "a";
		}
	      : text
		{
                 label = "A"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "b";
		}
	      : text
		{
                 label = "B"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "c";
		}
	      : text
		{
                 label = "C"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "d";
		}
	      : text
		{
                 label = "D"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "e";
		}
	      : text
		{
                 label = "E"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "f";
		}
	      : text
		{
                 label = "F"; fixed_width = true; width = 3;
		}
	     } /* row */
	   : row
	     {
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "g";
		}
	      : text
		{
                 label = "G"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "h";
		}
	      : text
		{
                 label = "H"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "i";
		}
	      : text
		{
                 label = "I"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "j";
		}
	      : text
		{
                 label = "J"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "k";
		}
	      : text
		{
                 label = "K"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "l";
		}
	      : text
		{
                 label = "L"; fixed_width = true; width = 3;
		}
	     } /* row */
	   : row
	     {
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "m";
		}
	      : text
		{
                 label = "M"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "n";
		}
	      : text
		{
                 label = "N"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "o";
		}
	      : text
		{
                 label = "O"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "p";
		}
	      : text
		{
                 label = "P"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "q";
		}
	      : text
		{
                 label = "Q"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "r";
		}
	      : text
		{
                 label = "R"; fixed_width = true; width = 3;
		}
	     } /* row */
	   : row
	     {
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "s";
		}
	      : text
		{
                 label = "S"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "t";
		}
	      : text
		{
                 label = "T"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "u";
		}
	      : text
		{
                 label = "U"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "v";
		}
	      : text
		{
                 label = "V"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "w";
		}
	      : text
		{
                 label = "W"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "x";
		}
	      : text
		{
                 label = "X"; fixed_width = true; width = 3;
		}
	     } /* row */
	   : row
	     {
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "y";
		}
	      : text
		{
                 label = "Y"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "z";
		}
	      : text
		{
                 label = "Z"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "1";
		}
	      : text
		{
                 label = "1"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "2";
		}
	      : text
		{
                 label = "2"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "3";
		}
	      : text
		{
                 label = "3"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "4";
		}
	      : text
		{
                 label = "4"; fixed_width = true; width = 3;
		}
	     } /* row */
	   : row
	     {
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "5";
		}
	      : text
		{
                 label = "5"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "6";
		}
	      : text
		{
                 label = "6"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "7";
		}
	      : text
		{
                 label = "7"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "8";
		}
	      : text
		{
                 label = "8"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "9";
		}
	      : text
		{
                 label = "9"; fixed_width = true; width = 3;
		}
	      : image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "0";
		}
	      : text
		{
                 label = "0"; fixed_width = true; width = 3;
		}
	     } /* row */
	    : row
	    { fixed_height = true; fixed_width = true;

		alignment = centered;

		: image_button
		{
		 fixed_height = true; fixed_width = true;
		 width = 5; height = 2; key = "F";
		}
	      : text
		{
                 label = "Simbolo tangenza Ferrovie"; 
		}
	     } /* row */
	    ok_cancel;
	  } /*end dialog*/

/* ---------------------------- sceglilayer ------------------------------- */
/* dialog che permette di selezionare layer esistenti                       */
sceglilayer : dialog {
    subassembly = 0;
    label = "Selezionare Layer";
    initial_focus = "listbox";
    : concatenation {
	children_fixed_width = true;
	key = "clayer";
	: text_part {
	    label = "Layer corrente: ";
	    width = 15;
	}
	: text_part {
	    key = "cur_layer";
	    width = 35;
	}
    }
    : row {
	fixed_width = true;
	key = "titles";
	children_fixed_width = true;
	: text {
	    label = "Nome Layer";
	    width = 34;
	}
	: text {
	    label = "Stato";
	    width = 9;
	}
	: text {
	    label = "Colore";
	    width = 8;
	}
	: text {
	    label = "Tipolinea";
	    width = 12;
	}
    }
    : list_box {
	tabs = "32 35 37 39 41 44 53";
	width = 67;
	height = 12;
	key = "list_lay";
	allow_accept = true;
    }
    ok_cancel_err;
}
/* --------------------------------- sceglilinea ------------------------*/
/* dialog che consente la scelta di un tipolinea                         */
sceglilinea : dialog {
    label = "Selezionare Tipolinea";
    /*image_block; */
    : list_box
	{
		key = "list_lt";
		allow_accept = true;
    }
    ok_cancel;
}
/* ------------------------------- FileExist ------------------------------*/
/* dialog per il messaggio d'errore di un file esistente                   */
FileExist : dialog
	    {
	     label = "Avvertimento CIVIL DESIGN";
	     : text
	       {
		fixed_width = true; alignment = centered;
		label = "File esistente!";
	       }
	     : text
	       {
		fixed_width = true; alignment = centered;
		label = "Vuoi sovrascriverlo?";
	       }
	     ok_cancel;
}
/* -------------------------- QtSuDisPar -------------------------------- */
QtSuDisPar : dialog
	      {
	       label = "Quota su disegno";
	       : row
		 {
		  : text
		    {
		     label = "   Elemento"; fixed_width = true;
		    }
		  : text
		    {
		     label = "Dicitura"; fixed_width = true;
		    }
		 } /* row */
		 : row
		   {
		    : toggle
		      {
			key = "L"; label = "Lunghezza tangente";
		      }
		     : edit_box
		       {
			key = "L_txt"; fixed_width = true; edit_limit = 10;
		       }
		    } /* row*/
		  : row
		    {
		     : toggle
		       {
			key = "svi"; label = "Sviluppo raccordo ";
		       }
		       : edit_box
			 {
			  key = "svi_txt"; fixed_width = true; edit_limit = 10;
			 }
		    } /*row*/
		   : row
		     {
		     : toggle
		       {
			key = "tau"; label = "Angolo finale     ";
		       }
		       : edit_box
			 {
			  key = "tau_txt"; fixed_width = true; edit_limit = 10;
			 }
		     } /*row*/
		    : row
		      {
		     : toggle
		       {
			key = "m"; label = "Scostamento m     ";
		       }
		       : edit_box
			 {
			  key = "m_txt"; fixed_width = true;
			  edit_limit = 10;
			 }
		      } /*row*/
		     ok_cancel;
	   } /* end dialog*/
/* -------------------------- QtSuTabPar --------------------------------- */
QtSuTabPar : dialog
	      {
	       label = "Quota su tabella";
	       : row
		 {
		  : text
		    {
		     label = "   Elemento"; fixed_width = true;
		    }
		  : text
		    {
		     label = "  Dicitura"; fixed_width = true;
		    }
		  : text
		    {
		     label = "Elemento"; fixed_width = true;
		    }
		  : text
		    {
		     label = " Dicitura"; fixed_width = true;
		    }
		 } /* row */
	       : row
		 {
		  : toggle
		    {
		     key = "L"; label = "Lungh. tangente"; width = 20;
		    }
		  : edit_box
		    {
		     key = "L_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
		     key = "tl"; label = "Tangente lunga"; width = 20;
		    }
		  : edit_box
		    {
		     key = "tl_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
		     key = "svi"; label = "Sviluppo"; width = 20;
		    }
		  : edit_box
		    {
		     key = "svi_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
		     key = "tc"; label = "Tangente corta"; width = 20;
		    }
		  : edit_box
		    {
		     key = "tc_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
		     key = "tau"; label = "Angolo finale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "tau_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
		     key = "xini"; label = "xiniziale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "xini_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  : toggle
		    {
		     key = "m"; label = "Scostamento m"; width = 20;
		    }
		  : edit_box
		    {
		     key = "m_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer { width = 3; }
		  : toggle
		    {
		     key = "yini"; label = "yiniziale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "yini_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		 } /*row*/
	       : row
		 {
		  fixed_width = true;
		  : toggle
		    {
		     key = "rfin"; label = "Raggio finale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "rfin_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  : spacer {width = 3;}
		  : toggle
		    {
		     key = "xfin"; label = "xfinale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "xfin_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  } /* row */
		: row
		  {
		  alignment = right; fixed_width = true;
		  : spacer {width = 3;}
		  : toggle
		    {
		     key = "yfin"; label = "yfinale"; width = 20;
		    }
		  : edit_box
		    {
		     key = "yfin_txt"; fixed_width = true; edit_limit = 10;
		     edit_width = 10;
		    }
		  }     /* row */
	  : boxed_row
	    {
	     label = ""; fixed_width = true; alignment = centered;
	     : toggle
	       {
		key = "rif"; label = "Riferimento al vertice";
	       }
	    } /*boxed_row*/
	    errtile;
	    ok_cancel;
	   } /* end dialog*/
/* --------------------------------- QuotTR ------------------------------ */
/* dialog per la gestione della quotatura del tracciato                    */
QuotTRR : dialog
	 {
	  label = "Quotatura Tracciato"; fixed_height = true;
	  : row
	    {
	      stile_quot;       /* input stile quotature */
	      stile_quot_testi; /* stile quote e testi */
	    }
	  errtile;
	  ok_cancel_help;
	  } /*end dialog*/
/* --------------------------------- Clotoide ----------------------------- */
ClotoideR : dialog
	   {
	    key = "clo_par";
	    ym;
	    tan_clo;
	    quote_cloR;
	    ok_cancel;
	   } /*dialog*/
/* ---------------------------- (Clotoide)quote_clo ---------------------- */
quote_cloR : boxed_row
	    {
	     label = "Quota";
	     : toggle
	       {
		key = "c6_q"; label =   "Quota su disegno";
	       }
	     : toggle
	       {
		key = "c6_tab"; label = "Quota su tabella";
	       }
	    } /*boxed_row */
/* ------------------------------- Arco -----------------------------------*/
ArcoR : dialog
       {
	label = "Arco";
	: row
	  {
	   Qt_arco;
	   : boxed_column
	     {
	      label = ""; fixed_height = true;
	      : toggle
		{
		 key = "c_tab"; label = "Quota in tabella";
		}
		: toggle
		{
		  key = "c_dis"; label = "Quota su disegno";
		}
	      } /*boxed_column*/
	   } /*row*/
	rag_arco;
	tan_clo;
	ok_cancel;
       } /*end dialog*/
/* -------------------------- Rettifilo-------------------------------- */
Rettifilo : dialog
{
  label = "Rettifilo";
  : row
  {
	: boxed_row
	{
		: column
		{
			: toggle
		  	{
		   		key = "retdis"; label =   "Quota su disegno";
		  	}
	  		: text
	    		{
	     			label = "Elemento"; fixed_width = true;
	    		}
		    	: toggle
		      {
				key = "l"; label = "Lunghezza  ";
		      }
		    	: toggle
		      {
				key = "ang"; label = "Azimuth ";
		      }
	 	} /* column */
		: column
		{
	  		: text
	    		{
	     			label = " "; fixed_width = true;
	    		}

	  		: text
	    		{
	     			label = "Dicitura"; fixed_width = true;
	    		}
		     	: edit_box
		      {
				key = "lt"; fixed_width = true; edit_limit = 10;
		      }
		     	: edit_box
		      {
				key = "angt"; fixed_width = true; edit_limit = 10;
		      }
		}
	}
	: boxed_row
	{
		: column
		{
			: toggle
		  	{
		   		key = "rettab"; label =   "Quota su tabella";
		  	}
	  		: text
	    		{
	     			label = "   Elemento"; fixed_width = true;
	    		}
		    	: toggle
		      {
				key = "bl"; label = "Lunghezza  ";
		      }
		    	: toggle
		      {
				key = "bang"; label = "Azimuth ";
		      }
		    	: toggle
		      {
				key = "bxi"; label = "X iniziale ";
		      }
		    	: toggle
		      {
				key = "byi"; label = "Y iniziale ";
		      }
		    	: toggle
		      {
				key = "bxf"; label = "X finale ";
		      }
		    	: toggle
		      {
				key = "byf"; label = "Y finale ";
		      }
	 	} /* column */
		: column
		{
	  		: text
	    		{
	     			label = " "; fixed_width = true;
	    		}

	  		: text
	    		{
	     			label = "Dicitura"; fixed_width = true;
	    		}
		     	: edit_box
		      {
				key = "blt"; fixed_width = true; edit_limit = 10;
		      }
		     	: edit_box
		      {
				key = "bangt"; fixed_width = true; edit_limit = 10;
		      }
		     	: edit_box
		      {
				key = "bxit"; fixed_width = true; edit_limit = 10;
		      }
		     	: edit_box
		      {
				key = "byit"; fixed_width = true; edit_limit = 10;
		      }
		     	: edit_box
		      {
				key = "bxft"; fixed_width = true; edit_limit = 10;
		      }
		     	: edit_box
		      {
				key = "byft"; fixed_width = true; edit_limit = 10;
		      }
		}
	}
  }
  ok_cancel;
} /* end dialog*/

/* -------------------------- Altimetria -------------------------------- */
Altimetria : dialog
{
	label = "Altimetria";
	
	: row
	{
		: spacer { height = 0.5; }
	}

	: row
	{
		fixed_width = true;
		: edit_box
		{
			label = "Offset (<0 sinistra, >0 destra):";
			key = "off";
			fixed_width = true;
		}
		: spacer { width = 2; }
		: edit_box
		{
			label = "Larg. tacca:";
			key = "tacca"; edit_width = 6;
			fixed_width = true;
		}
		: spacer { width = 2; }
		: popup_list
		{
			label = "Layer:";
			key = "layers"; edit_width = 20;
		}
	} /*row*/

	: row
	{
		: spacer { height = 0.5; }
	}

	: row
	{
		livelletteAlt;
		verticiAlt;
	}

	ok_cancel;
} /* dialog */

livelletteAlt : boxed_row
{
	label = "Elementi livellette"; 
	fixed_height = true;
	: column
	{
		: toggle
		{
			key = "varQuota"; label = "Variazione di quota";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "lung"; label = "Lunghezza";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "pend"; label = "Pendenza";
		}
		: spacer
		{
			height = 21;
		}
	} /* column */
	: column
	{
		: edit_box
		{
			key = "varQuotaTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: spacer { height = 0.5; }
		: edit_box
		{
			key = "lungTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: spacer { height = 0.5; }
		: edit_box
		{
			key = "pendTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: spacer
		{
			height = 21;
		}
	} /* column */
}

verticiAlt : boxed_row
{
	label = "Elementi vertici";
	: column
	{
		: row
		{
			fixed_width = true;
			: button
			{
				label = "Simbolo..."; 
				key = "simb_pnt_alt";
				fixed_width = true; width = 14;
			}
			: spacer {width = 1; }
			: image
			{
				fixed_height = true; 
				fixed_width = true;
				width = 5; 
				height = 2; 
				key = "simb_sel_alt";
			}
			: spacer {width = 1; }
			: text
			{
				key = "nome_simb_sel_alt"; 
				fixed_widyh = true; 
				width = 2;
			}
		} /*row*/
		: spacer { height = 0.5; }
		: toggle
		{
			key = "prog"; label = "Progressiva";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "quotaV"; label = "Quota vertice";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "pendEnt"; label = "Pendenza in entrata";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "pendUsc"; label = "Pendenza in uscita";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "varPend"; label = "Variazione di pendenza";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "raggio"; label = "Raggio";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "tan"; label = "Tangente";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "freccia"; label = "Freccia";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "progIniCurva"; label = "Progressiva inizio curva";
		}
		: spacer { height = 0.5; }
		: toggle
		{
			key = "progFineCurva"; label = "Progressiva fine curva";
		}
	} /* column */
	: column
	{
		: spacer { height = 2; }
		: edit_box
		{
			key = "progTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "quotaVTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "pendEntVTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "pendUscVTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "varPendVTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "raggioTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "tanTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "frecciaTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "progIniCurvaTxt";
			edit_width = 6;
			fixed_width = true;
		}
		: edit_box
		{
			key = "progFineCurvaTxt";
			edit_width = 6;
			fixed_width = true;
		}
	} /* column */
}
//---------- Intero Tracciato
// Quotatura del tracciato 
InteroTracc : dialog
{
	label = "Quotatura su Tracciato"; fixed_height = true;
	: boxed_row
	{
		: column // 1 colonna
		{
			: row
			{
				: text
				{
					label = "Elemento"; fixed_width = true; 
				}
				: text
				{
					label = "Dicitura"; fixed_width = true; alignment = right;
				}
			}
			: row
			{
				: text
				{
				}
			}
			: row //tipo linea
			{
				//fixed_width = true;
				label = "Linea";
				: column
				{
					: text
					{
						label = "Tipo linea"; width = 20;
					}
				}
				: column
				{
					: text
					{
						key = "inttrac_tlrag";width = 20; fixed_width = true;//key = "c6_tlrag";
					}
				}
				: column
				{
					: button
					{
						key = "sel_inttrac_tlrag"; label = "Seleziona..."; fixed_width = true; alignment = right;
					}
				}
			} //row
			: row
			{
				label = "Troncamento";
				: column
				{
					: toggle
					{
						key = "trunclen"; label = "Distanza troncamento (m)"; width = 15;
					}
				}
				: column
				{
					: edit_box
					{
						key = "trunclen_val"; fixed_width = true; edit_limit = 15; alignment = right;
					}
				}
			}
			: row
			{
				label = "Rettifilo";
				: column
				{
					: toggle
					{
						key = "drawrettRadius"; label = "Disegna Raggio (infinito)"; width = 18;
					}
				}
				: column
				{
					: edit_box
					{
						key = "drawrettRadius_prefix"; fixed_width = true; edit_limit = 15; alignment = right;
					}
				}
			}
			: row
			{
				: boxed_column
				{
					label = "Clotoide";
					: row
					{
						: column
						{
							: toggle
							{
								key = "drawclotA"; label = "Disegna A"; width = 18; alignment = left;
							}
						}
						: column
						{
							: edit_box
							{
								key = "drawclotA_prefix"; fixed_width = true; edit_limit = 15; alignment = right;
							}
						}
					}
					: row
					{
						: column
						{
							: toggle
							{
								key = "drawclotLen"; label = "Disegna Lungh."; width = 18; alignment = left;
							}
						}
						: column
						{
							: edit_box
							{
								key = "drawclotLen_prefix"; fixed_width = true; edit_limit = 15; alignment = right;
							}
						}
					}
				}
			}
			: row
			{
				label = "Parabola";
				: toggle
				{
					key = "drawparabLen"; label = "Disegna Lungh."; width = 18;
				}
				: edit_box
				{
					key = "drawparabLen_prefix"; fixed_width = true; edit_limit = 15; alignment = right;
				}
			}
			: row
			{
				label = "Arco";
				: toggle
				{
					key = "drawarcRadius"; label = "Disegna Raggio"; width = 18;
				}
				: edit_box
				{
					key = "drawarcRadius_prefix"; fixed_width = true; edit_limit = 15; alignment = right;
				}
			}
		} //end column
	} //boxed row
	errtile;
	ok_cancel;
} //end dialog
	  

