/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN                                                       //
//                                                                                //
//  FILE: CD-PD_2R.DCL    contiene definizioni di dialog utilizzate in ambiente   //
//                        tracciati (CD-PD_2.EXP)                                 //
//                                                                                //
//  Scritto da: Stefania Martinelli                                               //       //
//                                                                                //
//  RELEASE: 2.00     DATA: febbraio 1997  AGGIORNAMENTO:  febbraio 1997          //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1994                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/
/* ----------------------------- MPlSezDlg --------------------------------*/
/* dialog per la modifica di una singola sezione di tracciato              */
MPlSezDlgR : dialog
	    {
	     key = "nomedlg";
	     : boxed_row
	       {
		: column
		  {
		   : row
		     {
		      : text
			{
			 label = "Asse "; width = 7;
			}
		      : text
			{
			 key = "asse"; width = 10;
			}
		     } /* row */
		   : row
		     {
		      : text
			{
			 label = "ProgI"; width = 7;
			}
		      : text
			{
			 key = "progi"; width = 10;
			}
		     } /* row */
		  } /* column */
		  : column
		    {
		     : row
		       {
			: text
			  {
			   label =  "Lungh"; width = 7;
			  }
			 : text
			   {
			    key = "lung"; width = 10;
			   }
		       } /* row */
		      : row
			{
			 : text
			   {
			    label = "ProgF"; width = 7;
			   }
			 : text
			   {
			    key = "progf"; width = 10;
			   }
			} /* row */
		    } /* column */
	       } /* boxed_row */
	       : spacer { height = 1; }
		: row
		  {
		   fixed_width = true;
		   : text
		     {
		      label = "Nome"; width = 7;
		     }
		   : edit_box
		     {
		      key = "nome"; edit_width = 15;
		     }
		  } /* row */
		 : row
		   {
		    fixed_width = true;
		    : text
		      {
		       label = "Prog."; width = 7;
		      }
		    : edit_box
		      {
		       key = "prog"; edit_width = 15;
		      }
		   } /* row */
		   : row
		     {
		      : row
			{
			 fixed_width = true;
			 : text
			   {
			    label = "x ";
			   }
			 : text
			   {
			    key = "x"; width = 7;
			   }
			 : text
			   {
			    label = "y";
			   }
			 : text
			   {
			    key = "y"; width = 7;
			   }
			} /* row */
			: button
			  {
			   label = "X Y <"; key = "xy"; alignment = right;
			  }
			} /* row */
			: boxed_row
			  {
			   label = "Larghezza";
			   : row
			     {
			      fixed_width = true;
			      : text
				{
				 label = "Sx m."; width = 5;
				}
			      : edit_box
				{
				 key = "sx"; edit_width = 5;
				}
			      } /* row */
			    : row
			      {
			       fixed_width = true;
			       : text
				 {
				  label = "Dx m."; width = 5;
				 }
			       : edit_box
				 {
				  key = "dx"; edit_width = 5;
				 }
			       } /* row */
			  } /* boxed_row */
		: row
		{
		   : toggle
		     {
		      key = "disnomesez"; label = "Disegna Nomi"; width = 10;
		     }
		   : button
		     {
		      key = "impostanomesez"; label = "Imposta...";
		     }
		}
	       errtile;
	       ok_cancel_help;
	    } /* end dialog */
/* ---------------------------- DlgNomeSez --------------------------------*/
/* dialog per input dati per il disegno del nome delle sezioni planimetriche*/
DlgNomeSezR : dialog
	     {
	      label = "Disegno Nome Sezioni";
	      : row
		{
		 fixed_width = true;
		 : text
		   {
		    label = "Asse : "; fixed_width = true;
		   }
		 : text
		   {
		    width = 20; key = "asse"; fixed_width = true;
		   }
		 } /* row */
	       : row
		 {
		  : row
		    {
		     fixed_width = true;
		     : text
		       {
			label = "Layer: "; fixed_width = true;
		       }
		     : text
		       {
			width = 20; key = "layer"; fixed_width = true;
		       }
		     } /* row */
		 } /* row */
		 : concatenation
		   {
		   : text_part
		     {
		      label = "N.      ";
		     }
		   : text_part
		     {
		      label = "Nome             ";
		     }
		   : text_part
		     {
		      label = "prog.     ";
		     }
		   : text_part
		     {
		      label = "   S/N";
		     }
		 } /* concatenation */
		 : row
		  {
		   : list_box
		     {
		      tabs = "8 23 36 52"; key = "l_sez";
		      width = 50; height = 8; fixed_width = true;
		      multiple_select = true;
		     }
		  : column
		   {
		   : row
		     {
		      : column
			{
			 fixed_height = true;
			 : button
			   {
			    label = "Sel. Tutto "; key = "selt";
			    fixed_width = true;
			   }
			 : button
			   {
			    label = " Via Tutto "; key = "viat";
			    fixed_width = true;
			   }
			  } /* column */
		       : button
			 {
			  label = "S/N"; key = "sn";
			  fixed_width = true;
			 }
		       } /* row */
		     : boxed_column
		       {
			label = "Layer di disegno";
			: edit_box
			  {
			   key = "layer_dis"; width = 25;
			  }
			: button
			  {
			   label = "Seleziona..."; key = "sellayerdis";
			  }
		       } /* boxed_column */
		     } /* column */
		   } /* row */
		   : radio_row
		     {
		      key = "azione"; fixed_width = true;
		      : radio_button
			{
			 label = "Disegno / Aggiornamento   ";
			 key = "dis_agg"; value = 1;
			}
		      : radio_button
			{
			 label = "Cancellazione   "; key = "canc"; value = 0;
			}
		      } /* radio_column */
	       : boxed_row
		 {
		: row
		  {
		   : column
		     {
		      fixed_heigth = true;
		      : row
			{
			 : text
			   {
			    label = "Tipo        "; key = "t_tipo";
			   }
			 : popup_list
			   {
			    key = "tipo"; list = "1\n2\n3";
			    fixed_width = true;
			   }
			} /* row */
		      : row
			{
			 : text
			   {
			    label = "Altezza testo [mm plottati] "; key = "t_h";
			   }
			 : edit_box
			   {
			    key = "h"; fixed_width = true;
			   }
			} /* row */
		      : row
			{
			 : text
			   {
			    label = "Scostamento Testo-Linea [mm plot.]"; key = "t_sco";
			   }
			 : edit_box
			   {
			    key = "sco"; fixed_width = true;
			   }
			} /* row */
		      : row
			{
				: toggle
				{
					label = "Disegna Linea di collegamento testo"; key = "dislinea";
				}
			}
			: row
			{
			 	: edit_box
			   	{
			    		label = "Lunghezza [mm plot.]"; key = "lunglinea"; fixed_width = true;
			   	}
			 	: edit_box
			   	{
			    		label = "Spessore [mm plot.]"; key = "speslinea"; fixed_width = true;
			   	}
			}
		      : boxed_row
			{
				: toggle
				{
					label = "Disegna Nome"; key = "disnome";
				}
			 	: edit_box
			   	{
			    		label = "Prefisso"; key = "prefnome"; fixed_width = true;
			   	}

			}
			: boxed_column
			{
		      		: row
				{
					: toggle
					{
						label = "Disegna Progressiva"; key = "disprog";
					}

			 		: edit_box
			   		{
			    			label = "Prefisso"; key = "prefprog"; width = 5;edit_limit = 10;
					}
				}
				: row
				{
					fixed_width = true;
			 		: popup_list
			   		{
			   	 		label = "decimali"; key = "decprog"; list = "0\n1\n2\n3\n4\n5\n6\n"; fixed_width = true;
			   		}
			 		: popup_list
			   		{
			   	 		label = "  Tipo"; key = "tipoprog"; list = "1234.25\n1+234.25\nKm 1+234.25\n"; fixed_width = true;width = 25;

			   		}
			   	}
			} /* row */


		} /* column */
		: column
		{
			: image
			{
				fixed_height = true; fixed_width = true;
				width = 30; height = 10; key = "simb";
			}
		       	: row
			{
			 	: boxed_radio_column
				{
					label = "Orientamento"; fixed_width = true;
					fixed_height = true;
					key = "or";
					: radio_button
					{
						label = "Orizzontale"; key = "vert"; 
					}
					: radio_button
					{
						label = "Allineato"; key = "all"; 
					}
				} /* boxed_radio_column */
				: boxed_radio_column
				{
					label = "Posizione"; fixed_width = true;
					fixed_height = true;
					key = "pos";
					: radio_button
					{
						label = "Dx       "; key = "dx"; 
					}
					: radio_button
					{
						label = "Sx       "; key = "sx"; 
					}
				} /* boxed_radio_column */
			} /* column */
		   	: boxed_radio_row
		     	{
		      		label = "Posizione Nome-Progressiva"; key = "posizione"; fixed_width = true;
		      		: radio_button
				{
			 		label = "Unico lato";
			 		key = "lato1"; 
				}
		      		: radio_button
				{
			 		label = "Lati opposti"; key = "lato2";
				}
		      	} /* radio_column */
		} /* row */

		}
	} /* boxed_row */
	errtile;
	ok_cancel_help;
	      } /* end dialog */
/* -------------------------- EdaModDlg -----------------------------------*/
/* dialog per l'input dati per l'estrazione delle sezioni da modello       */
EdaModDlgR1 : dialog
	    {
	     label = "Estrazione Sezioni da Modello";
	     : row
	       {
		fixed_width = true;
		: text
		  {
		   label = "Tracciato:  ";
		  }
		: text
		  {
		   key = "asse"; width = 15;
		  }
	       } /* row */
	     : concatenation
	       {
		: text_part
		  {
		   label = "N.   ";
		  }
		: text_part
		  {
		   label = "Nome        ";
		  }
		: text_part
		  {
		   label = "prog.   ";
		  }
		: text_part
		  {
		   label = " S/N";
		  }
	       } /* concatenation */
	     : row
	       {
		: list_box
		  {
		   tabs = "6 17 28 42"; key = "l_sez";
		   width = 40; height = 8; fixed_width = true;
		   multiple_select = true;
		  }
		: row
		  {
		   fixed_height = true;
		   : column
		     {
		      fixed_width = true;
		      : button
			{
			 label = "Sel. Tutto"; key = "selt";
			}
		      : button
			{
			 label = "Via Tutto"; key = "viat";
			}
		      : button
			{
			 label = "S/N"; key = "sn";
			}
		     } /* column */
		      } /* row */
		  } /* row */
	       : row
		 {
		  : boxed_column
		    {
		     label = "Tipo di modello";
		     : radio_column
		       {
			key = "modello";
			: radio_button
			  {
			   label = "DTM 3D Face (Modello a triangoli)";
			   key = "3dfaccia"; value = 1;
			  }
			: radio_button
			  {
			   label = "POLILINEE 2D/3D (Curve di livello)";
			   key = "pline"; value = 0;
			   }
			 : radio_button
			   {
			    label = "DTM 3D Rete (Griglia a maglia regolare)";
			    key = "3drete"; value = 0;
			   }
			 } /* radio column */
		       } /* boxed_column */
		       : boxed_column
			 {
			  : row
			    {
			     : toggle
			       {
				label = "";
				key = "elimin_punti"; value = "1";
			       } /* toggle */
			     : text
			       {
				label = "Eliminazione automatica";
			       }
			    } /* row */
			   : text
			     {
			      label = "    punti allineati";
			     }
			  } /* boxed_column */
		      }  /* row */
		      : boxed_row
			{
			 label = "Layer modello";
			 : column
			   {
			    : radio_column
			      {
			       key = "laymod";
			       : radio_button
				 {
				  label = "Tutti"; key = "alllay";
				  value = 1; alignment = left;
				 }
			       : radio_button
				 {
				  label = "Solo layer"; key = "singlay";
				  value = 0; alignment = right;
				 }
			       } /* radio_column */
			   } /* column */
			  : column
			    {
			     /* testo inserito solo per allineare
				i testi precedenti */
			     : text { label = ""; }
			     : row
			       {
				: text
				  {
				   key = "nomelay"; width = 20;
				   fixed_width = true;
				   is_enabled = false; value = "";
				  }
				: button
				  {
				   label = "Seleziona <";
				   key = "SelModLay";
				   is_enabled = false; alignment = right;
				   fixed_width = true;
				   } /* button */
				} /* row */
			     } /* column */
			    } /* boxed_row */
			    errtile;
			    ok_cancel_help;
			  } /* end dialog */


/* -------------------------- EdaModDlgR1_2 -----------------------------------*/
/* dialog per l'input dati per l'estrazione delle sezioni da modello       */
EdaModDlgR1_2 : dialog
{
	label = "Estrazione Sezioni da Modello";
	: row
	{
		
		: text
		{
			label = "Tracciato:  ";
		}
		: text
		{
			key = "asse"; width = 15;
		}
	} /* boxed_row */
	: row
	{
		: column
		{
			: concatenation
			{
				: text_part
				{
					label = "N.   ";
				}
				: text_part
				{
					label = "      Nome        ";
				}
				: text_part
				{
					label = "      prog.   ";
				}
				: text_part
				{
					label = "       S/N";
				}
			} /* concatenation */
			: list_box
			{
				tabs = "6 22 38 50"; key = "l_sez";
				width = 55; height = 19; fixed_width = true;
				multiple_select = true;
			}
			: row
			{
				
				: button
				{
					label = "Sel. Tutto"; key = "selt"; 
				}
				: button
				{
					label = "Via Tutto"; key = "viat";
				}
				: button
				{
					label = "S/N"; key = "sn";
				}
			} /* row */
		} /* column */


		: boxed_column
		{
			label  = "Opzioni di disegno";
			: toggle
			{
				label = "Eliminazione punti allineati";
				key = "elimin_punti"; value = "1";
			} /* toggle */
			: toggle
			{
				label = "Disegna Sezioni 3D sul Modello";
				key = "dismod";
			} /* toggle */

			: toggle
			{
				label = "Disegna Sezioni in cartiglio";
				key = "dissez";
			} /* toggle */
			: boxed_row
		    	{
				label = "Selezione cartiglio";
				: column
				{
					: text
					{
						label = "Cartiglio: ";
					}
					: text
					{
						label = "           ";
					}

				}
				: column
				{
					: text
					{
						key = "nomecart"; width = 30;
					}
					: button
					{
						label = "Seleziona..."; key = "selnomecart";
					}
				}
			}
			: boxed_radio_row
		    	{
				label = "Vista sezioni"; key = "vistas";
				: radio_button
				{
					label = "avanti  "; key = "av";
				}
				: radio_button
				{
					label = "indietro"; key = "ind"; 
				}
			} /* boxed_column */
			: boxed_row
			{
				label = "Quota di riferimento";
				: radio_column
				{
					key = "qrif";
					: radio_button
					{
						label = "Centrata"; key = "qrifott"; 
					}
					: radio_button
					{
						label = "Dal fondo cartigli [m]"; key = "qrifimp";
					}
					: radio_button
					{
						label = "Fissa:"; key = "qriffissa";
					}
					: text
					{
						label = "N. decimali:"; key = "t_ndecqrif";
					}
				}
				: column
				{
					fixed_width = true;
					: text
					{
						label = "       ";
					}

					: row
					{
						fixed_width = true;

						: edit_box
						{
							key = "cddisqr"; width = 15;
						}
						/*: text
						{
							key = "t_cddisqr"; label = "dal fondo";
							width = 10;
						}*/
					}
					: row
					{
						fixed_width = true;

						: edit_box
						{
							key = "qrfissa"; value = 0;width = 15;
						}
						/*: text
						{
							label = "           ";width = 10;
						}*/

					}
					: popup_list
			   		{
			   	 		key = "ndecqrif"; list = "0\n1\n2\n3\n4\n5\n6\n"; width = 15; fixed_width = true;
			   		}
					
				}

			} /* boxed_column */



		} /* boxed_row */
	}
	: column
	{
		: boxed_row
		{
			label = "Tipo di modello";
			: radio_column
			{
				key = "modello";
				: radio_button
				{
					label = "DTM 3D Face (Modello a triangoli)";
					key = "3dfaccia"; value = 1;
				}
				: radio_button
				{
					label = "POLILINEE 2D/3D (Curve di livello)";
					key = "pline"; value = 0;
				}
				: radio_button
				{
					label = "Nuvola di punti tipo galleria";
					key = "point_tunnel"; 
				}
				: radio_button
				{
					label = "Nuvola di punti generico";
					key = "point"; 
				}
				: radio_button
				{
					label = "SOLIDO (Modello da solidi)";
					key = "solid"; 
				}
				/*: radio_button*/
				/*{*/
				/*label = "DTM 3D Rete (Griglia a maglia regolare)";*/
				/*key = "3drete"; value = 0;*/
				/*}*/
			} /* radio column */
			: column
			{	
				fixed_width = true;
				/* testo inserito solo per allineare 
				i testi precedenti */
				/*: text { label = ""; }*/

				: edit_box
				{
					label = "Fattore di amplificazione distanza di ricerca laterale"; key = "fatt_est"; width = 10;
				}
				: boxed_column
				{
					label = "Informazioni aggiuntive per nuvole punti";
					: edit_box
					{
						label = "Tolleranza per sfoltimento punti "; key = "toll_pnt_allineati"; width = 10;
					}

					: edit_box
					{
						label = "Distanza media fra punti rilevati"; key = "dist_media"; width = 10;
					}
				}
				: edit_box
				{
					label = "Scostamento massimo per discretizzazione curve"; key = "dist_cord"; width = 10;
				}
			}

		} /* boxed_column */
		: boxed_row
		{
			label = "Layer modello";
			: column
			{
				: radio_column
				{
					key = "laymod";
					: radio_button
					{
						label = "Tutti"; key = "alllay";
						value = 1; alignment = left;
					}
					: radio_button
					{
						label = "Solo layer"; key = "singlay";
						value = 0; alignment = right;
					}
				} /* radio_column */
			} /* column */
			: column
			{
				 /* testo inserito solo per allineare 
					i testi precedenti */
				: text { label = ""; }
				: row
				{
					: text
					{
						key = "nomelay"; width = 20;
						fixed_width = true;
						is_enabled = false; value = "";
					}
					: button
					{
						label = "Seleziona <"; fixed_width = true;
						key = "SelModLay";
						is_enabled = false; alignment = right;
					} /* button */
				} /* row */
			} /* column */
		} /* boxed_row */
	}
	errtile;
	ok_cancel_help;
} /* end dialog */
/* -------------------------- EdaModDlg -----------------------------------*/
/* dialog per l'input dati per l'estrazione delle sezioni da modello       */
EdaModDlgR2 : dialog
	    {
	     label = "Estrazione Sezioni da Modello";
	     : row
	       {
		fixed_width = true;
		: text
		  {
		   label = "Tracciato:  ";
		  }
		: text
		  {
		   key = "asse"; width = 15;
		  }
	       } /* row */
	     : concatenation
	       {
		: text_part
		  {
		   label = "N.   ";
		  }
		: text_part
		  {
		   label = "Nome        ";
		  }
		: text_part
		  {
		   label = "prog.   ";
		  }
		: text_part
		  {
		   label = " S/N";
		  }
	       } /* concatenation */
	     : row
	       {
		: list_box
		  {
		   tabs = "6 17 28 42"; key = "l_sez";
		   width = 40; height = 8; fixed_width = true;
		   multiple_select = true;
		  }
		: row
		  {
		   fixed_height = true;
		   : column
		     {
		      fixed_width = true;
		      : button
			{
			 label = "Sel. Tutto"; key = "selt";
			}
		      : button
			{
			 label = "Via Tutto"; key = "viat";
			}
		      : button
			{
			 label = "S/N"; key = "sn";
			}
		     } /* column */
		      } /* row */
		  } /* row */
	       : row
		 {
		  : boxed_column
		    {
		     label = "Tipo di modello";
		     : radio_column
		       {
			key = "modello";
			: radio_button
			  {
			   label = "DTM 3DFACCIA (Modello a triangoli)";
			   key = "3dfaccia"; value = 1;
			  }
			: radio_button
			  {
			   label = "POLILINEE 2D/3D (Curve di livello)";
			   key = "pline"; value = 0;
			   }
			 : radio_button
			   {
			    label = "DTM 3DRETE (Griglia a maglia regolare)";
			    key = "3drete"; value = 0;
			   }
			 } /* radio column */
		       } /* boxed_column */
		       : boxed_column
			 {
			  : row
			    {
			     : toggle
			       {
				label = "";
				key = "elimin_punti"; value = "1";
			       } /* toggle */
			     : text
			       {
				label = "Eliminazione automatica";
			       }
			    } /* row */
			   : text
			     {
			      label = "    punti allineati";
			     }
			  } /* boxed_column */
		      }  /* row */
			    errtile;
			    ok_cancel_help;
			  } /* end dialog */
/* -------------------------- EdaModDlgR2_2 -----------------------------------*/
/* dialog per l'input dati per l'estrazione delle sezioni da modello       */
EdaModDlgR2_2 : dialog
{
	label = "Estrazione Sezioni da Modello";
	: row
	{
		
		: text
		{
			label = "Tracciato:  ";
		}
		: text
		{
			key = "asse"; width = 15;
		}
	} /* boxed_row */
	: row
	{
		: column
		{
			: concatenation
			{
				: text_part
				{
					label = "N.   ";
				}
				: text_part
				{
					label = "      Nome        ";
				}
				: text_part
				{
					label = "      prog.   ";
				}
				: text_part
				{
					label = "       S/N";
				}
			} /* concatenation */
			: list_box
			{
				tabs = "6 22 38 50"; key = "l_sez";
				width = 55; height = 19; fixed_width = true;
				multiple_select = true;
			}
			: row
			{
				
				: button
				{
					label = "Sel. Tutto"; key = "selt"; 
				}
				: button
				{
					label = "Via Tutto"; key = "viat";
				}
				: button
				{
					label = "S/N"; key = "sn";
				}
			} /* row */
		} /* column */


		: boxed_column
		{
			label  = "Opzioni di disegno";
			: toggle
			{
				label = "Eliminazione punti allineati";
				key = "elimin_punti"; value = "1";
			} /* toggle */
			: toggle
			{
				label = "Disegna Sezioni 3D sul Modello";
				key = "dismod";
			} /* toggle */

			: toggle
			{
				label = "Disegna Sezioni in cartiglio";
				key = "dissez";
			} /* toggle */
			: boxed_row
		    {
				label = "Selezione cartiglio";
				: column
				{
					: text
					{
						label = "Cartiglio: ";
					}
					: text
					{
						label = "           ";
					}

				}
				: column
				{
					: text
					{
						key = "nomecart"; width = 30;
					}
					: button
					{
						label = "Seleziona..."; key = "selnomecart";
					}
				}
			}
			: boxed_radio_row
		    	{
				label = "Vista sezioni"; key = "vistas";
				: radio_button
				{
					label = "avanti  "; key = "av";
				}
				: radio_button
				{
					label = "indietro"; key = "ind"; 
				}
			} /* boxed_column */
			: boxed_row
			{
				label = "Quota di riferimento";
				: radio_column
				{
					key = "qrif";
					: radio_button
					{
						label = "Centrata"; key = "qrifott"; 
					}
					: radio_button
					{
						label = "Dal fondo cartigli [m]"; key = "qrifimp";
					}
					: radio_button
					{
						label = "Fissa metri:"; key = "qriffissa";
					}
					: text
					{
						label = "N. decimali:";key = "t_ndecqrif";
					}
				}
				: column
				{
					fixed_width = true;
					: text
					{
						label = "       ";
					}

					: row
					{
						fixed_width = true;

						: edit_box
						{
							key = "cddisqr"; width = 10;
						}
						: text
						{
							key = "t_cddisqr"; /*label = "dal fondo";*/
							width = 10;
						}
					}
					: row
					{
						fixed_width = true;

						: edit_box
						{
							key = "qrfissa"; value = 0;width = 10;
						}
						: text
						{
							label = "           ";width = 10;
						}

					}
					: popup_list
			   		{
			   	 		key = "ndecqrif"; list = "0\n1\n2\n3\n4\n5\n6\n"; width = 10; fixed_width = true;
			   		}

				}

			} /* boxed_column */



		} /* boxed_row */
	}
	: column
	{
		: boxed_row
		{
			label = "Tipo di modello";
			: radio_column
			{
				key = "modello";
				: radio_button
				{
					label = "DTM 3D Face (Modello a triangoli)";
					key = "3dfaccia"; value = 1;
				}
				: radio_button
				{
					label = "POLILINEE 2D/3D (Curve di livello)";
					key = "pline"; value = 0;
				}
				: radio_button
				{
					label = "Nuvola di punti tipo galleria";
					key = "point_tunnel"; 
				}
				: radio_button
				{
					label = "Nuvola di punti generico";
					key = "point"; 
				}
				: radio_button
				{
					label = "SOLIDO (Modello da solidi)";
					key = "solid"; 
				}

				/*: radio_button*/
				/*{*/
				/*label = "DTM 3D Rete (Griglia a maglia regolare)";*/
				/*key = "3drete"; value = 0;*/
				/*}*/
			} /* radio column */
			: column
			{	
				fixed_width = true;
				/* testo inserito solo per allineare 
				i testi precedenti */
				/*: text { label = ""; }*/

				: edit_box
				{
					label = "Fattore di amplificazione distanza di ricerca laterale"; key = "fatt_est"; width = 10;
				}
				: boxed_column
				{
					label = "Informazioni aggiuntive per nuvole punti";
					: edit_box
					{
						label = "Tolleranza per sfoltimento punti "; key = "toll_pnt_allineati"; width = 10;
					}

					: edit_box
					{
						label = "Distanza media fra punti rilevati"; key = "dist_media"; width = 10;
					}
				}
				: edit_box
				{
					label = "Scostamento massimo per discretizzazione curve"; key = "dist_cord"; width = 10;
				}
			}
		} /* boxed_column */
	}
	errtile;
	ok_cancel_help;
} /* end dialog */
/* -------------------------- ModSezDlg -----------------------------------*/
/* dialog per l'input dati per il trasporto delle sezioni da modello ad    */
/* oggetti di tipo sezione                                                 */
ModSezDlgR1 : dialog
	    {
	     label = "Modello -> Sezioni";
	     : row
	       {
		fixed_width = true;
		: text
		  {
		   label = "Tracciato:  ";
		  }
		: text
		  {
		   key = "asse"; width = 15;
		  }
	       } /* row */
	     : concatenation
	       {
		: text_part
		  {
		   label = "N.   ";
		  }
		: text_part
		  {
		   label = "Nome        ";
		  }
		: text_part
		  {
		   label = "prog.   ";
		  }
		: text_part
		  {
		   label = " S/N";
		  }
	       } /* concatenation */
	     : row
	       {
		: list_box
		  {
		   tabs = "6 17 28 42"; key = "l_sez";
		   width = 50; height = 8; fixed_width = true;
		   multiple_select = true;
		  }
		: row
		  {
		   fixed_height = true;
		   : column
		     {
		      : button
			{
			 label = "Sel. Tutto"; key = "selezt";
			}
		      : button
			{
			 label = " Via Tutto "; key = "viat";
			}
		      : button
			{
			 label = " S/N "; key = "sn";
			}
		     } /* column */
		     : boxed_radio_column
		       {
			label = "Vista sezioni"; key = "vistas";
			: radio_button
			  {
			   label = "avanti  "; key = "av"; value = 1;
			  }
			: radio_button
			  {
			   label = "indietro"; key = "ind"; value = 0;
			  }
			 } /* boxed_column */
		    } /* row */
		  } /* row */
		  : row
		   {
		   : column
		  {
			: boxed_row
		    {
		     label = "Selezione cartiglio";
		     : text
		       {
			label = "Cartiglio: ";
		       }
		    /* : column
		       {*/
			: text
			  {
			   key = "nomecart"; width = 20;
			  }
			: button
			  {
			   label = "Seleziona..."; key = "selnomecart";
			   fixed_width = true;
			   alignment = right;
			  }
		      /* }  column */
		    } /* boxed_row */
		 : boxed_row
		   {
		    label = "Layer";
		    : column
		      {
		       : radio_column
			 {
			  key = "laymod";
			  : radio_button
			    {
			     label = "Tutti"; key = "alllay";
			     value = 1; alignment = left;
			    }
			  : radio_button
			    {
			     label = "Solo layer"; key = "singlay";
			     value = 0; alignment = right;
			     }
			   } /* radio_column */
			} /* column */
			  : column
			    {
			     /* testo inserito solo per allineare
				i testi precedenti */
			     : text { label = ""; }
			     : row
			       {
				: text
				  {
				   key = "nomelay"; width = 20;
				   fixed_width = true;
				   is_enabled = false; value = "";
				  }
				: button
				  {
				   label = "Seleziona <";
				   key = "SelModLay";
				   is_enabled = false; alignment = right;
				   fixed_width = true;
				   } /* button */
				} /* row */
			     } /* column */
			    } /* boxed_row */
				
				}/* column */
				
				: column
				{
				QuotaRif;
				}
			   } /* row */
			    errtile;
			    ok_cancel_help;
			  } /* end dialog */
/* -------------------------- ModSezDlg -----------------------------------*/
/* dialog per l'input dati per il trasporto delle sezioni da modello ad    */
/* oggetti di tipo sezione                                                 */
ModSezDlgR2 : dialog
	    {
	     label = "Modello -> Sezioni";
	     : row
	       {
		fixed_width = true;
		: text
		  {
		   label = "Tracciato:  ";
		  }
		: text
		  {
		   key = "asse"; width = 15;
		  }
	       } /* row */
	     : concatenation
	       {
		: text_part
		  {
		   label = "N.   ";
		  }
		: text_part
		  {
		   label = "Nome        ";
		  }
		: text_part
		  {
		   label = "prog.   ";
		  }
		: text_part
		  {
		   label = " S/N";
		  }
	       } /* concatenation */
	     : row
	       {
		: list_box
		  {
		   tabs = "6 17 28 42"; key = "l_sez";
		   width = 40; height = 8; fixed_width = true;
		   multiple_select = true;
		  }
		: row
		  {
		   fixed_height = true;
		   : column
		     {
		      : button
			{
			 label = "Sel. Tutto"; key = "selezt";
			}
		      : button
			{
			 label = " Via Tutto "; key = "viat";
			}
		      : button
			{
			 label = " S/N "; key = "sn";
			}
		     } /* column */
		    } /* row */
		  } /* row */
		  	: row
		    	{
		  		: boxed_row
		    		{
		     			fixed_width = true;
		     			label = "Selezione cartiglio";
		     			: text
		       			{
						label = "Cartiglio: ";
		       			}
		     			: column
		       			{
						: text
			  			{
			   				key = "nomecart"; width = 8;
			  			}
						: button
			  			{
			   				label = "Seleziona..."; key = "selnomecart";
			   				fixed_width = true;
			  			}
		       			} /* column */
		    		} /* boxed_row */
		     		: boxed_radio_column
		       		{
					label = "Vista sezioni"; key = "vistas";
					: radio_button
			  		{
			   			label = "avanti  "; key = "av"; value = 1;
			  		}
					: radio_button
			  		{
			   			label = "indietro"; key = "ind"; value = 0;
			  		}
			 	} /* boxed_column */
		    	} /* row */
		     errtile;
		     ok_cancel_help;
		   } /* end dialog */

		   
QuotaRif : boxed_row
{
	label = "Quota di riferimento";
	: radio_column
	{
		key = "qrif";
		: radio_button
		{
			label = "Centrata"; key = "qrifott"; 
		}
		: radio_button
		{
			label = "Dal fondo cartigli [m]"; key = "qrifimp";
		}
		: radio_button
		{
			label = "Fissa [m]"; key = "qriffissa";
		}
		:text
		{
			label = "N. decimali";	key = "t_ndecqrif";
		}
	}
	: column
	{
		fixed_width = true;
		: text
		{
			label = "       ";
		}

		: row
		{
			fixed_width = true;

			: edit_box
			{
				key = "cddisqr"; width = 15;
			}
			/*: text
			{
				key = "t_cddisqr"; label = "dal fondo";width = 10;
			}*/
		}
		: row
		{
			fixed_width = true;

			: edit_box
			{
				key = "qrfissa"; value = 0;width = 15;
			}
			/*: text
			{
				label = "           ";width = 10;
			}*/

		}
		: popup_list
		{
			key = "ndecqrif"; list = "0\n1\n2\n3\n4\n5\n6\n"; width = 15; fixed_width = true;
		}

	}
} /* boxed_column */